jueves, 26 de enero de 2017

Wireshark corrige dos nuevas vulnerabilidades

Wireshark Foundation ha publicado las versiones 2.0.10 y 2.2.4 que incluyen la corrección de dos vulnerabilidades que podrían provocar condiciones de denegación de servicio.

Wireshark es una popular aplicación de auditoría orientada al análisis de tráfico en redes, que soporta una gran cantidad de protocolos y es de fácil manejo. Además Wireshark se encuentra bajo licencia GPL y disponible para la mayoría de sistemas operativos Unix y compatibles, así como Microsoft Windows.

En esta ocasión la fundación Wireshark ha publicado dos boletines de seguridad (wnpa-sec-2017-01 y wnpa-sec-2017-02) ambos afectan a todas las versiones de las ramas 2.2 y 2.0.

Como es habitual, las vulnerabilidades corregidas residen en denegaciones de servicio por fallos en la implementación de disectores, que son los módulos responsables de analizar los paquetes de cada uno de los protocolos. En esta ocasión los disectores y protocolos afectados son ASTERIX y DHCPv6.

También se ha solucionado múltiples problemas no relacionados directamente con vulnerabilidades de seguridad y actualizado el soporte de diferentes protocolos.

Las vulnerabilidades mencionadas se han solucionado en las versiones 2.0.10 y 2.2.4 disponibles para descarga desde la página oficial del proyecto.

Más información:

Wireshark 2.0.10 is now available

Wireshark 2.2.4 Release Notes

wnpa-sec-2017-01 · ASTERIX infinite loop

wnpa-sec-2017-02 · DHCPv6 large loop




Antonio Ropero
Twitter: @aropero



No hay comentarios:

Publicar un comentario en la entrada